Package org.jacoco.report.check

## Interface IViolationsOutput

All Known Implementing Classes:
  `ReportTask.CheckFormatterElement`

    public interface IViolationsOutput

Call-back interface which is used to report rule violations to.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onViolation​(ICoverageNode node, Rule rule, Limit limit, java.lang.String message)` Called for every rule violation.

### Method Detail

#### onViolation

    void onViolation​(ICoverageNode node,
                     Rule rule,
                     Limit limit,
                     java.lang.String message)

Called for every rule violation.

Parameters:
  `node` - node which violates a rule
  `rule` - rule which is violated
  `limit` - limit which is violated
  `message` - readable message describing this violation